Source: golang-github-go-test-deep
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dawid Dziurla <dawidd0811@gmail.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
Build-Depends-Indep:
 golang-any,
Standards-Version: 4.5.0
Homepage: https://github.com/go-test/deep
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-test-deep
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-test-deep.git
XS-Go-Import-Path: github.com/go-test/deep
Testsuite: autopkgtest-pkg-go

Package: golang-github-go-test-deep-dev
Architecture: all
Depends:
 ${misc:Depends},
Description: Golang deep variable equality test that returns human-readable differences
 Deep Variable Equality for Humans.
 .
 This package provides a single function: deep.Equal. It's like
 reflect.DeepEqual (http://golang.org/pkg/reflect/#DeepEqual) but
 much friendlier to humans (or any sentient being) for two reason:
  • deep.Equal returns a list of differences
  • deep.Equal does not compare unexported fields (by default)
